MSWStruct::Font Struct Reference

the font structure of a Microsoft Word file More...

`#include <MSWStruct.hxx>`

## Public Types

enum | { NumFlags =9 }

## Public Member Functions

| Font ()
| the constructor More...
void | insert (Font const &font, Font const *styleFont=0)
| insert new font data ( beginning by updating font flags ) More...
void | updateFontToFinalState (Font const *styleFont=0)
| update the font to obtain the final font More...
int | cmp (Font const &oth) const
| operator== More...

## Public Attributes

Variable< MWAWFont > | m_font
| the font More...
Variable< float > | m_size
| a second size More...
Variable< int > | m_value
| a unknown value More...
Variable< int > | m_flags [NumFlags]
| a list of flags More...
Variable< long > | m_picturePos
| a picture file position (if this corresponds to a picture) More...
Variable< int > | m_unknown
| some unknown flag More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

the font structure of a Microsoft Word file

## Member Enumeration Documentation

anonymous enum

Enumerator
NumFlags | the number of flags needed to store all datas

## Constructor & Destructor Documentation

MSWStruct::Font::Font | ( |  | ) |

inline

the constructor

## Member Function Documentation

int MSWStruct::Font::cmp | ( | Font const & | oth | ) | const

inline

operator==

void MSWStruct::Font::insert | ( | Font const & | font,
|  | Font const * | styleFont = `0`
| ) |  |

insert new font data ( beginning by updating font flags )

Referenced by MSWStruct::Paragraph::getFont(), and MSWText::prepareFontProperties().

void MSWStruct::Font::updateFontToFinalState | ( | Font const * | styleFont = `0` | ) |

update the font to obtain the final font

Referenced by insert(), and MSWTextStyles::setProperty().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSWStruct::Font::m_extra

extra data

Referenced by insert(), MSWStruct::operator<<(), and MSWTextStyles::readFont().

Variable<int> MSWStruct::Font::m_flags[NumFlags]

a list of flags

Referenced by cmp(), insert(), MSWStruct::operator<<(), and updateFontToFinalState().

Variable<MWAWFont> MSWStruct::Font::m_font

the font

Referenced by cmp(), MSWTextStyles::getFont(), insert(), MSWStruct::operator<<(), MSWText::prepareData(), MSWTextStyles::readFont(), MSWTextStyles::readParagraph(), MSWTextStyles::readPLC(), MSWTextStyles::readStylesFont(), MSWText::sendFieldComment(), MSWTextStyles::setProperty(), and updateFontToFinalState().

Variable<long> MSWStruct::Font::m_picturePos

a picture file position (if this corresponds to a picture)

Referenced by cmp(), insert(), MSWStruct::operator<<(), MSWTextStyles::readFont(), and MSWText::sendText().

Variable<float> MSWStruct::Font::m_size

a second size

Referenced by cmp(), insert(), MSWStruct::operator<<(), and MSWTextStyles::readFont().

Variable<int> MSWStruct::Font::m_unknown

some unknown flag

Referenced by cmp(), insert(), MSWStruct::operator<<(), and MSWTextStyles::readFont().

Variable<int> MSWStruct::Font::m_value

a unknown value

Referenced by cmp(), insert(), and MSWStruct::operator<<().

The documentation for this struct was generated from the following files:

- MSWStruct.hxx
- MSWStruct.cxx